1. Funding
Artha All Module Api's
  • Introduction
  • Authentication
  • KYC/KYB Requirements
  • API Setup Guide
  • Products
    • List Products
      GET
    • Get Product
      GET
    • Get Customer Product Status
      GET
  • Customers
    • Create Customer
      POST
    • List Customers
      GET
    • Get Customer
      GET
    • Submit Applicant (KYC/KYB)
      POST
    • Create Onboarding Session
      POST
  • Wallets
    • Beneficiary
      • Create Crypto Beneficiary
      • Update Crypto Beneficiary
      • List Crypto Withdraw Beneficiaries
    • Create Wallet
      POST
    • Get Wallet Address
      GET
    • Get Customer Balances
      GET
    • List Wallets
      GET
    • List Withdrawals
      GET
    • List Withdrawal Networks
      GET
    • Preview Withdrawal Summary
      POST
    • Create Crypto Withdrawal
      POST
  • Cards
    • Issuance
      • Issue Card
      • List Cards
      • List Customer Cards
      • Get Card Details
      • Get Sensitive Card Details
    • Funding
      • Top Up Card
        POST
      • Get Card Balance
        GET
      • Get Top-Up Status
        GET
      • List Top-Up History
        GET
    • Operations
      • Resend Activation Code
      • Activate Card
      • Set Card PIN
      • Change Card PIN
      • Update Card Limits
      • Freeze Card
      • Unfreeze Card
      • Replace Card
      • Cancel Card
      • Get Card Limits
      • Show Card PIN Details
      • Get PIN View Iframe URL
      • Get PIN Change Iframe URL
      • Get PIN Set Iframe URL
      • Get Card View Iframe URL
      • Show Card PIN
  • Payees
    • Create a payee for a customer.
    • List a customer's payees.
    • Update a payee.
    • Retrieve a payee by id.
    • Look up an existing payee.
    • List the currencies a payee can be created in.
    • List the accepted payment purpose codes for a payee.
    • List the countries a payee can be created in.
    • List currency/country pairings for payees.
    • List the accepted beneficiary relationship codes.
  • Payments
    • Onboarding
      • List the customer's payout-currency configuration sections.
      • Enable a payout-currency section for the customer.
      • Get the customer's terms-of-service acceptance status.
      • Enable or disable a payout-currency section.
    • Quote
      • List the currencies a beneficiary can be paid in under a product.
      • List the payout rails available for a product and beneficiary.
      • Create an FX quote giving the rate and fee for a cross-currency payout.
    • Order
      • Submit a payout order to send money to a beneficiary.
      • Retrieve the on-chain address to fund an order.
      • Retrieve the status and settlement detail of a payout order.
    • Lookups
      • List the accepted payment purpose codes for a payout.
      • List the accepted source-of-funds codes for a payout.
      • List the document types accepted on a payout order.
  • Banks
    • Accounts
      • Create Bank Account
      • Get Account Details
      • Get Account Issuance Status
    • Withdraw
      • Create Withdrawal Quote
      • List Withdrawal Purposes
      • Get Payment Schemes
      • Execute Withdrawal
  • Exchange
    • Quote
      • Get Exchange Rate
      • Create Price Quote
    • Order
      • Place Exchange Order
  • Transactions
    • List Transactions
    • Get Transaction Details
  • Utilities
    • List Currencies
    • List Countries
    • Get Fee Schedule
    • List Product Occupations
    • List Product Industry Codes
    • Upload File
  • Webhook's
    • Wallets Webhooks
    • Banks Webhooks
    • Payments Webhooks
    • Exchange Webhooks
    • Card Webhooks
  1. Funding

List Top-Up History

GET
/api/v1/funding/{cardId}/topups
Returns a paginated list of top-up history for a card, optionally filtered by date range.
📤 Response Fields
FieldTypeDescription
data[].topupIdstring (uuid)Top-up transaction identifier
data[].amountnumberAmount loaded
data[].currencystringCurrency loaded
data[].statusstringcompleted, processing, or failed
data[].createdAtstring (date-time)Timestamp the top-up was created
pagination.totalintegerTotal matching top-ups
pagination.limitintegerPage size used
pagination.offsetintegerItems skipped
pagination.hasMorebooleanWhether more pages exist

Request

Path Params

Query Params

Header Params

Responses

🟢200
application/json
Top-up history retrieved.
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/funding/6f1c9a2e-4b3d-4e7a-9c5f-1a2b3c4d5e6f/topups?limit=20&offset=0&from=2026-01-01T00%3A00%3A00Z&to=2026-01-31T23%3A59%3A59Z' \
--header 'X-API-Key;' \
--header 'X-Signature;' \
--header 'X-Timestamp;' \
--header 'X-Nonce;' \
--header 'X-Body-Hash;'
Response Response Example
200 - Success
{
    "data": [
        {
            "topupId": "9e8d7c6b-5a4f-4e3d-2c1b-0a9f8e7d6c5b",
            "amount": 250,
            "currency": "USDC",
            "status": "completed",
            "createdAt": "2026-01-15T11:35:00Z"
        },
        {
            "topupId": "1a2b3c4d-5e6f-4a3b-8c9d-0e1f2a3b4c5d",
            "amount": 100,
            "currency": "USDC",
            "status": "processing",
            "createdAt": "2026-01-14T09:00:00Z"
        }
    ],
    "pagination": {
        "total": 2,
        "limit": 20,
        "offset": 0,
        "hasMore": false
    }
}
Modified at 2026-08-10 11:54:40
Previous
Get Top-Up Status
Next
Resend Activation Code
Built with